<?xml version="1.0" ?>
<mosinstall type="module">
	<name>BlastChat client 2.2 module</name>
	<creationDate>09/07/2006</creationDate>
	<author>Peter Saitz</author>
	<copyright>This work is licensed under a Creative Commons Attribution-NonCommercial-NoDerivs2.5 License - http://creativecommons.org/licenses/by-nc-nd/2.5/</copyright>
	<authorEmail>support@blastchat.com</authorEmail>
	<authorUrl>www.blastchat.com</authorUrl>
	<version>2.2</version>
	<description>BlastChat client 2.2 module presenting counter and chatters list</description>
	<files>
		<filename module="mod_blastchatc">mod_blastchatc.php</filename>
	</files>
	<params>
		<param name="bc_module_dynamic" type="text" default="0" label="Dynamic update" description="0 - Static&lt;br&gt;&lt;br&gt;Integer - Module will dynamicly update list every defined seconds">
		</param>

		<param name="bc_module_multisite" type="list" default="0" label="Activate multisite" description="Yes - Module will show only chatters from this server (if you run multisite on one database)&lt;br&gt;&lt;br&gt;No - Module will show all chatters">
			<option value="1"> Yes </option>
			<option value="0"> No </option>
		</param>
		
		<param name="bc_module_detached" type="list" default="2" label="Open chat detached" description="All module links will open chat in detached window">
			<option value="2"> Default (defined in BlastChat component configuration) </option>
			<option value="1"> Yes </option>
			<option value="0"> No </option>
		</param>
		<param name="bc_module_currentitemid" type="list" default="1" label="Attach Itemid" description="Attach current Itemid to all module links">
			<option value="1"> Yes </option>
			<option value="0"> No </option>
			<option value="2"> Use Itemid option defined below</option>
		</param>
		<param name="bc_module_itemid" type="text" default="" label="Use this Itemid" description="What Itemid value should be attached to the module links" />

		<param name="bc_module_tooltip" type="text" default="" label="ToolTip width" description="Empty - default width, 0 - do not show tooltip, integer - width in pixels" />
		
		<param name="bc_module_showmode_type" type="radio" default="0" label="WhoIsOnline display type" description="Select what shall be shown">
			<option value="0">plain&lt;br&gt;</option>
			<option value="1">li list</option>
		</param>
		<param name="bc_module_showmode" type="radio" default="0" label="WhoIsOnline display" description="Select what shall be shown">
			<option value="0"># of Guests/Members&lt;br&gt;</option>
			<option value="1">Member Names&lt;br&gt;</option>
			<option value="2">Both</option>
		</param>
		<param name="bc_module_username_type" type="radio" default="1" label="WhoIsOnline username display as" description="In case you selected to show Member Names for WhoIsOnline">
			<option value="0">text&lt;br&gt;</option>
			<option value="1">link to chat&lt;br&gt;</option>
			<option value="2">link to Community Builder profile&lt;br&gt;</option>
			<option value="3">link to SMF profile</option>
		</param>
		<param name="bc_module_chat_order" type="list" default="1" label="Chat icon and link to chat order" description="In what position should be chat icon presented?">
			<option value="0"> Do not show </option>
			<option value="1"> 1 </option>
			<option value="2"> 2 </option>
			<option value="3"> 3 </option>
			<option value="4"> 4 </option>
		</param>
		<param name="bc_module_cb_order" type="list" default="2" label="CB icon and link to profile order" description="In what position should be Community Builder link icon presented?">
			<option value="0"> Do not show </option>
			<option value="1"> 1 </option>
			<option value="2"> 2 </option>
			<option value="3"> 3 </option>
			<option value="4"> 4 </option>
		</param>
		<param name="bc_module_smf_order" type="list" default="0" label="SMF icon and link to profile order" description="In what position should be SMF link icon presented?">
			<option value="0"> Do not show </option>
			<option value="1"> 1 </option>
			<option value="2"> 2 </option>
			<option value="3"> 3 </option>
			<option value="4"> 4 </option>
		</param>
		<param name="bc_module_username_order" type="list" default="3" label="Username order" description="In what position should be username presented?">
			<option value="1"> 1 </option>
			<option value="2"> 2 </option>
			<option value="3"> 3 </option>
			<option value="4"> 4 </option>
		</param>

		<param name="bc_module_space" type="list" default="0" label="Add space" description="Add space between icons and username">
			<option value="1"> Yes </option>
			<option value="0"> No </option>
		</param>

		<param name="bc_module_showmodechat" type="radio" default="0" label="WhoIsChatting display" description="Select what shall be shown">
			<option value="0"># of Guests/Members&lt;br&gt;</option>
			<option value="1">None</option>
		</param>
		
		<param name="moduleclass_sfx" type="text" default="" label="Module Class Suffix" description="A suffix to be applied to the css class of the module (table.moduletable), this allows individual module styling" />
	</params>
</mosinstall>